Summary:	iwd - wireless daemon for Linux
Summary(pl.UTF-8):	iwd - demon sieci bezprzewodowej dla Linuksa
Name:		iwd
Version:	1.10
Release:	1
License:	LGPL v2.1+
Group:		Networking/Daemons
Source0:	https://www.kernel.org/pub/linux/network/wireless/%{name}-%{version}.tar.xz
# Source0-md5:	caf4c31f3c1a202b20ff81678614944d
URL:		https://git.kernel.org/pub/scm/network/wireless/iwd.git
BuildRequires:	asciidoc
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	dbus-devel
BuildRequires:	docutils
BuildRequires:	ell-devel >= 0.35
BuildRequires:	libtool >= 2:2.2
BuildRequires:	pkgconfig
BuildRequires:	readline-devel
BuildRequires:	rpmbuild(macros) >= 1.644
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires(post,preun,postun):	systemd-units >= 38
Requires:	ell >= 0.35
Requires:	systemd-units >= 38
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Wireless daemon for Linux.

%description -l pl.UTF-8
Demon sieci bezprzewodowej dla Linuksa.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-docs \
	--enable-external-ell \
	--disable-silent-rules \
	--with-systemd-modloaddir=/usr/lib/modules-load.d \
	--with-systemd-networkdir=/lib/systemd/network \
	--with-systemd-unitdir=%{systemdunitdir}

%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_sysconfdir}/iwd

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
%systemd_post iwd.service

%preun
%systemd_preun iwd.service

%postun
%systemd_reload

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%dir %{_sysconfdir}/iwd
%attr(755,root,root) %{_bindir}/iwctl
%attr(755,root,root) %{_bindir}/iwmon
%attr(755,root,root) %{_libexecdir}/iwd
/lib/systemd/network/80-iwd.link
%{systemdunitdir}/iwd.service
%{_datadir}/dbus-1/system.d/iwd-dbus.conf
%{_datadir}/dbus-1/system-services/net.connman.iwd.service
%{_mandir}/man1/iwctl.1*
%{_mandir}/man1/iwmon.1*
%{_mandir}/man5/iwd.ap.5*
%{_mandir}/man5/iwd.config.5*
%{_mandir}/man5/iwd.network.5*
%{_mandir}/man7/iwd.debug.7*
%{_mandir}/man8/iwd.8*
/usr/lib/modules-load.d/pkcs8.conf
%changelog
* Mon Dec 07 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/iwd.git;a=log;h=master

* Mon Dec 07 2020 Jan Palus <atler@pld-linux.org> c07b8f8
- up to 1.10

* Sat Sep 05 2020 Jakub Bogusz <qboosh@pld-linux.org> bb87523
- updated to 1.9

* Thu Jun 18 2020 Jan Palus <atler@pld-linux.org> 7aa4d42
- up to 1.8

* Wed Apr 15 2020 Jan Palus <atler@pld-linux.org> 7bbdf1f
- up to 1.7

* Wed Mar 25 2020 Jan Palus <atler@pld-linux.org> 6894784
- up to 1.6

* Mon Feb 10 2020 Jan Palus <atler@pld-linux.org> c6d88a6
- up to 1.5

* Fri Dec 27 2019 Jan Palus <atler@pld-linux.org> 417c51a
- up to 1.4

* Fri Dec 13 2019 Jan Palus <atler@pld-linux.org> 47edcdf
- up to 1.3

* Thu Nov 28 2019 Jan Palus <atler@pld-linux.org> f7aa314
- up to 1.2

* Sat Nov 16 2019 Jan Palus <atler@pld-linux.org> a31622c
- up to 1.1

* Wed Oct 30 2019 Jan Palus <atler@pld-linux.org> 3ed1c9c
- up to 1.0

* Thu Oct 24 2019 Jan Palus <atler@pld-linux.org> 7d0cef6
- up to 0.23

* Thu Oct 17 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 4310ef6
- release 2 (by relup.sh)

* Mon Oct 14 2019 Jan Palus <atler@pld-linux.org> 27257a9
- up to 0.22

* Wed Sep 18 2019 Jan Palus <atler@pld-linux.org> bdf9d66
- up to 0.21

* Wed Aug 28 2019 Jan Palus <atler@pld-linux.org> a05d607
- up to 0.20

* Mon Aug 05 2019 Jan Palus <atler@pld-linux.org> 60d677f
- up to 0.19

* Sat May 18 2019 Jan Palus <atler@pld-linux.org> 5042528
- up to 0.18

* Sat Apr 13 2019 Jan Palus <atler@pld-linux.org> 309c415
- up to 0.17

* Fri Apr 05 2019 Jan Palus <atler@pld-linux.org> ebf29b3
- up to 0.16

